Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class EmailAddressGrantee

    java.lang.Object
      com.amazonaws.services.s3.model.EmailAddressGrantee

All Implemented Interfaces:
  Grantee

    public class EmailAddressGrantee

extends Object
implements Grantee

Represents an E-mail Grantee, that is a grantee identified by their e-mail address and authenticated by an Amazon system.

E-mail grants are internally converted to the CanonicalUser representation when you create the ACL. If the grantee changes his or her e-mail address, it will not affect the existing Amazon S3 permissions.

Adding a grantee by e-mail address only works if exactly one Amazon account corresponds to the specified e-mail address. If multiple Amazon accounts are associated with the e-mail address, an AmbiguousGrantByEmail error message is returned. This is rare but usually occurs if a user created an Amazon account in the past, forgot the password, and created another Amazon account using the same e-mail address. If this occurs, the user should contact Amazon.com customer service to have the accounts merged or you should grant user access specifying the CanonicalUser representation.

Constructor Summary
`EmailAddressGrantee(String emailAddress)` Constructs an email grantee with the given email address.

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getIdentifier()` Returns the grantee's email address (ID).
`int` | `hashCode()`
`void` | `setIdentifier(String emailAddress)` Set the email address as the grantee's ID.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmailAddressGrantee

    public EmailAddressGrantee(String emailAddress)

  Constructs an email grantee with the given email address.

  Parameters:
    `emailAddress` -

Method Detail

### setIdentifier

    public void setIdentifier(String emailAddress)

  Set the email address as the grantee's ID.

  Specified by:
    `setIdentifier` in interface `Grantee`
  Parameters:
    `emailAddress` - The identifier for this grantee.

### getIdentifier

    public String getIdentifier()

  Returns the grantee's email address (ID).

  Specified by:
    `getIdentifier` in interface `Grantee`
  Returns:
    The identifier for this grantee.

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.